Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Class BeanDefinitionParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.BeanDefinitionStoreException
                                  org.springframework.beans.factory.parsing.BeanDefinitionParsingException

All Implemented Interfaces:
  Serializable

    public class BeanDefinitionParsingException

extends BeanDefinitionStoreException

Exception thrown when a bean definition reader encounters an error during the parsing process.

Since:
  2.0
Author:
  Juergen Hoeller, Rob Harrop
See Also:
  Serialized Form

Constructor Summary
`BeanDefinitionParsingException(Problem problem)` Create a new BeanDefinitionParsingException.

Method Summary

Methods inherited from class org.springframework.beans.factory.BeanDefinitionStoreException
`getBeanName, getResourceDescription`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, getMostSpecificCause, getRootCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanDefinitionParsingException

    public BeanDefinitionParsingException(Problem problem)

  Create a new BeanDefinitionParsingException.

  Parameters:
    `problem` - the configuration problem that was detected during the parsing process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.